<div class="flex flex-col flex-auto items-top min-w-0" style="background-color:#F8F8F8;">
    <!-- Logo -->
    <div class="w-full sm:w-auto px-4 sm:p-1 shadow bg-white">
        <div class="container flex items-center h-14 px-4 mb-3 pb-0">
            <!-- Light version -->
            <img class="dark:hidden w-30" src="assets/images/logo/bursa-malaysia-logo.svg" alt="Logo image">
            <!-- Dark version -->
            <img class="hidden dark:flex w-30" src="assets/images/logo/bursa-malaysia-logo.svg" alt="Logo image">
        </div>
    </div>

    <div class="container mx-auto flex justify-between">
        <div class="flex items-center cursor-pointer" [routerLink]="['/forgot-password']"><mat-icon class="mt-6 mb-6 "
                style="color: #0038FF;">keyboard_arrow_left</mat-icon><span class="mt-6 mb-6 font-Semibold-16"
                style="color: #0038FF;">Back</span></div>
        <div><mat-icon class="mt-6 mb-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon></div>
    </div>

    <div
        class="flex items-top justify-center mt-12 mx-auto w-full sm:w-auto px-4 sm:p-8 md:p-12 shadow md:shadow-none bg-card box-width">
        <div class="w-full max-w-lg sm:w-96 mx-auto sm:mx-0 px-8 py-4">

            <!-- Title -->
            <div class="-mt-2 font-Semibold-20 tracking-tight leading-6 mb-5">Security Question</div>

            <!-- Alert -->
            <fuse-alert class="mt-8" *ngIf="showAlert" [appearance]="'outline'" [showIcon]="false" [type]="alert.type"
                [@shake]="alert.type === 'error'">
                {{alert.message}}
            </fuse-alert>

            <form class="mt-4" [formGroup]="forgotPasswordQueForm" #forgotPasswordQueNgForm="ngForm">

                <mat-label class="font-Regular-16">{{userSecurityQuestionDesc}}</mat-label>
                <mat-form-field appearance="outline" class="fuse-mat-button-large w-full sm-2 mt-2.5">
                    <mat-label>Your Answer</mat-label>
                    <input id="answer" matInput [formControlName]="'answer'">
                    <!-- <mat-error *ngIf="forgotPasswordQueForm.get('answer').hasError('required')">
                            Your answer is required
                        </mat-error> -->
                </mat-form-field>
                <div>
                    <button class="w-full mt-2 button-r5" mat-flat-button [disabled]="forgotPasswordQueForm.disabled"
                        (click)="sendResetLink()">
                        <span *ngIf="!forgotPasswordQueForm.disabled">
                            Submit
                        </span>
                    </button>
                </div>

            </form>
        </div>
    </div>
</div>